<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Clean Journal Pro
 * * @since Clean Journal 1.0
 */

if ( ! function_exists( 'clean_journal_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own clean_journal_menuitem(), and that function will be used instead.
 *
 * * @since Clean Journal 1.0
 */
function clean_journal_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos( $menu_item->url, get_site_url() ) !== false && function_exists( 'qtrans_convertURL' ) ) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}     
	return $menu_item;
} // clean_journal_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item' , 'clean_journal_menuitem', 0 );


if ( ! function_exists( 'clean_journal_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own clean_journal_qtranslate_invalidcache(), and that function will be used instead.
 *
 * * @since Clean Journal 1.0
 */
function clean_journal_qtranslate_invalidcache() {
	delete_transient( 'clean_journal_featured_content' );
	delete_transient( 'clean_journal_featured_slider' );
	delete_transient( 'clean_journal_footer_content' );	
	delete_transient( 'clean_journal_featured_image' );
	delete_transient( 'all_the_cool_cats' );	
} // clean_journal_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'clean_journal_qtranslate_invalidcache' );