<?php
/**
 * The template for adding color options in Customizer
 *
 * @package Catch Themes
 * @subpackage Clean Journal Pro
 * @since Clean Journal 1.0
 */

 if ( ! defined( 'CLEAN_JOURNAL_THEME_VERSION' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}
  	//Basic Color Options
  	$wp_customize->add_panel( 'clean_journal_color_options', array(
	    'capability'     => 'edit_theme_options',
	    'description'    => __( 'Color Options', 'clean-journal-pro' ),
	    'priority'       => 300,
	    'title'    		 => __( 'Color Options', 'clean-journal-pro' ),
	) );

	//Basic Color Options
	$wp_customize->add_section( 'clean_journal_color_scheme', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 301,
		'title'    => __( 'Basic Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_basic_color_options	=	clean_journal_get_basic_color_options();

	$i = 10;
	foreach ( $clean_journal_basic_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_color_scheme',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Header Color Option
	$wp_customize->add_section( 'clean_journal_header_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 302,
		'title'    => __( 'Header Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_header_color_options	=	clean_journal_get_header_color_options();

	$i = 10;
	foreach ( $clean_journal_header_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_header_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Content Color Option
	$wp_customize->add_section( 'clean_journal_content_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 303,
		'title'    => __( 'Content Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_content_color_options	=	clean_journal_get_content_color_options();

	$i = 10;
	foreach ( $clean_journal_content_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_content_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Sidebar Color Option
	$wp_customize->add_section( 'clean_journal_sidebar_color_options', array(
		'description'	=> __( 'Only for Primary and Secondary Sidebars', 'clean-journal-pro' ),
		'panel'	   		=> 'clean_journal_color_options',
		'priority' 		=> 304,
		'title'    		=> __( 'Sidebar Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_sidebar_color_options	=	clean_journal_get_sidebar_color_options();

	$i = 1;
	foreach ( $clean_journal_sidebar_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_sidebar_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Pagination Color Option
	$wp_customize->add_section( 'clean_journal_pagination_color_options', array(
		'panel'	   		=> 'clean_journal_color_options',
		'priority' 		=> 305,
		'title'    		=> __( 'Pagination Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_pagination_color_options	=	clean_journal_get_pagination_color_options();

	$i = 1;
	foreach ( $clean_journal_pagination_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_pagination_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Footer Color Option
	$wp_customize->add_section( 'clean_journal_footer_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 306,
		'title'    => __( 'Footer Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_footer_color_options	=	clean_journal_get_footer_color_options();

	$i = 1;
	foreach ( $clean_journal_footer_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;
		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_footer_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Promotion Headline Color Option
	$wp_customize->add_section( 'clean_journal_promotion_headline_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 307,
		'title'    => __( 'Promotion Headline Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_promotion_headline_options	=	clean_journal_get_promotion_headline_color_options();

	$i = 1;
	foreach ( $clean_journal_promotion_headline_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_promotion_headline_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Scrollup Color Option
	$wp_customize->add_section( 'clean_journal_scrollup_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 308,
		'title'    => __( 'Scrollup Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_scrollup_options	=	clean_journal_get_scrollup_color_options();

	$i = 1;
	foreach ( $clean_journal_scrollup_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_scrollup_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Slider Color Option
	$wp_customize->add_section( 'clean_journal_slider_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 309,
		'title'    => __( 'Slider Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_slider_options	=	clean_journal_get_slider_color_options();

	$i = 1;
	foreach ( $clean_journal_slider_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_slider_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Featured Content Color Options
	$wp_customize->add_section( 'clean_journal_featured_content_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 310,
		'title'    => __( 'Featured Content Color Options', 'clean-journal-pro' ),
	) );

	$clean_journal_featured_content_options	=	clean_journal_get_featured_content_color_options();

	$i = 1;
	foreach ( $clean_journal_featured_content_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_featured_content_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	//Menu Color Options
	$wp_customize->add_section( 'clean_journal_primary_menu_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'title'    => __( 'Primary Menu Color Options', 'clean-journal-pro' ),
		'priority' => 351,
	) );

	$clean_journal_menu_color_options	=	clean_journal_get_menu_color_options();

	$i = 1;

	foreach ( $clean_journal_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	$key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i++,
			'section'	=> 'clean_journal_primary_menu_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );
	}

	$wp_customize->add_section( 'clean_journal_secondary_menu_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 352,
		'title'    => __( 'Secondary Menu Color Options', 'clean-journal-pro' ),
	) );

	foreach ( $clean_journal_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	'secondary_' . $key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_secondary_menu_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	$wp_customize->add_section( 'clean_journal_header_top_menu_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 353,
		'title'    => __( 'Header Top Color Options', 'clean-journal-pro' ),
	) );

	foreach ( $clean_journal_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	'header_top_' . $key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		if ( 'menu_background_color' == $key ) {
			$color_option = __( 'Header Top Background Color', 'clean-journal-pro' );
		}

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_header_top_menu_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	$wp_customize->add_section( 'clean_journal_header_right_menu_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 354,
		'title'    => __( 'Header Right Menu Color Options', 'clean-journal-pro' ),
	) );

	foreach ( $clean_journal_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	'header_right_' . $key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'priority'	=> $i,
			'section'	=> 'clean_journal_header_right_menu_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
		) ) );

		$i++;
	}

	$wp_customize->add_section( 'clean_journal_footer_menu_color_options', array(
		'panel'	   => 'clean_journal_color_options',
		'priority' => 355,
		'title'    => __( 'Footer Menu Color Options', 'clean-journal-pro' ),
	) );

	foreach ( $clean_journal_menu_color_options as $key => $color_option ) {
		$lower_color_option	=	'footer_' . $key;

		$wp_customize->add_setting( 'clean_journal_theme_options['. $lower_color_option .']', array(
			'capability'		=> 'edit_theme_options',
			'default'			=> $defaults[ $lower_color_option ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'clean_journal_theme_options['. $lower_color_option .']', array(
			'label'		=> $color_option,
			'section'	=> 'clean_journal_footer_menu_color_options',
			'settings'	=> 'clean_journal_theme_options['. $lower_color_option .']',
			'priority'	=> $i
		) ) );

		$i++;
	} //Basic Color Options End