<?php
/**
 * The Secondary Sidebar containing the secondary widget area
 *
 * @package Catch Themes
 * @subpackage Clean Journal Pro
 * @since Clean Journal 1.0 
 */
?>

<?php 
/** 
 * clean_journal_before_featured_widget_content hook
 */
do_action( 'clean_journal_before_featured_widget_content' );

	$clean_journal_options 	 = clean_journal_get_theme_options();
	$clean_journal_layouts 	 = $clean_journal_options ['featured_content_layout'];
	$clean_journal_headline 	 = $clean_journal_options ['featured_content_headline'];
	$clean_journal_subheadline = $clean_journal_options ['featured_content_subheadline'];
	
	if ( !empty( $clean_journal_layouts ) ) {
		$clean_journal_classes = $clean_journal_layouts ;
	}

	echo '
		<section id="featured-content" class="' . $clean_journal_classes . '">
			<div class="wrapper">';
				if ( !empty( $clean_journal_headline ) || !empty( $clean_journal_subheadline ) ) {
					echo '<div class="featured-heading-wrap">';
						if ( !empty( $clean_journal_headline ) ) {
							echo '<h2 id="featured-heading" class="entry-title">'. esc_attr( $clean_journal_headline ) .'</h2>';
						}
						if ( !empty( $clean_journal_subheadline ) ) {
							echo '<p>'. esc_attr( $clean_journal_subheadline ) .'</p>';
						}
					echo '</div><!-- .featured-heading-wrap -->';
				}
				
				echo '
				<div class="featured-content-wrap">';

				//Featured Widget Content Area
				if ( is_active_sidebar( 'featured-widget-content' ) ) {
			    	dynamic_sidebar( 'featured--widget-content' ); 
				}
				echo '
				</div><!-- .featured-content-wrap -->
			</div><!-- .wrapper -->
		</section><!-- #featured-content -->';
/** 
 * clean_journal_after_featured_widget_content hook
 *
 */
do_action( 'clean_journal_after_featured_widget_content' );